Loading...
Searching...
No Matches
libdar::Esecu_memory Class Reference
API

exception used when secure memory has been exhausted More...

`#include <erreurs.hpp>`

Inherits libdar::Ememory.

## Public Member Functions

| Esecu_memory (const std::string &source)
| Esecu_memory (const Esecu_memory &ref)=default
| Esecu_memory (Esecu_memory &&ref)=default
Esecu_memory & | operator= (const Esecu_memory &ref)=default
Esecu_memory & | operator= (Esecu_memory &&ref)=default
Public Member Functions inherited from libdar::Ememory
| Ememory (const std::string &source)
| Ememory (const Ememory &ref)=default
| Ememory (Ememory &&ref)=default
Ememory & | operator= (const Ememory &ref)=default
Ememory & | operator= (Ememory &&ref)=default
Public Member Functions inherited from libdar::Egeneric
| Egeneric (const std::string &source, const std::string &message)
| the constructor
| Egeneric (const Egeneric &ref)=default
| copy constructor
| Egeneric (Egeneric &&ref)=default
| move constructor
Egeneric & | operator= (const Egeneric &ref)=default
| assignment operator
Egeneric & | operator= (Egeneric &&ref) noexcept=default
| move operator
virtual | ~Egeneric ()=default
| the destructor
void | stack (const std::string &passage, const std::string &message="")
| add more detailed couple of information to the exception
void | stack (const std::string &&passage, const std::string &&message="")
const std::string & | get_message () const
| get the message explaing the nature of the exception
const std::string & | get_source () const
| get the call function which has thrown this exception
const std::string & | find_object (const std::string &location) const
| retrieve the objet (object) associated to a given "lieu" (location) from the stack
void | prepend_message (const std::string &context)
| prepend error message by the given string
std::string | dump_str () const
| return a string result of the exception information dump

## Protected Member Functions

virtual std::string | exceptionID () const override
Protected Member Functions inherited from libdar::Ememory
| Ememory (const std::string &source, const std::string &message)

## Detailed Description

exception used when secure memory has been exhausted

Definition at line 143 of file erreurs.hpp.

## Constructor & Destructor Documentation

## Esecu_memory()

libdar::Esecu_memory::Esecu_memory | ( | const std::string & | source | ) |

inline

Definition at line 146 of file erreurs.hpp.

## Member Function Documentation

## exceptionID()

virtual std::string libdar::Esecu_memory::exceptionID | ( |  | ) | const

inline override protected virtual

Reimplemented from libdar::Ememory.

Definition at line 154 of file erreurs.hpp.

The documentation for this class was generated from the following file:

- erreurs.hpp